=== debian/changelog ===
mlt (6.22.1-4build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:36:21 +0100

mlt (6.22.1-4) unstable; urgency=medium

  * Enable rubberband feature.
    Closes: #973710

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 05 Nov 2020 10:15:38 +0100

mlt (6.22.1-3) unstable; urgency=medium

  * Add patch from Andreas Metzler to drop unused libexif-gtk-dev build
    dependency.
    Closes: #971663
  * Add patch from Hugh McMaster to make package Multi-Arch compatible.
    Closes: #971752
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Oct 2020 11:42:29 +0200

mlt (6.22.1-2) unstable; urgency=medium

  * Remove deprecated gtk2 dependency.
    Closes: #967633

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 05 Aug 2020 10:58:40 +0200

mlt (6.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 04 Aug 2020 10:29:26 +0200
