## mlt 6.24.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
+cmake_minimum_required(VERSION 3.14)
 project(MLT)
-set(MLT_VERSION 6.22.1)
-cmake_minimum_required(VERSION 3.10)
+set(MLT_VERSION 6.24.0)
 find_package(PkgConfig REQUIRED)
 include(GNUInstallDirs)
 option(GPL "Enable GPLv2 modules" ON)
@@ -9,9 +9,12 @@
   option(NODEPLOY "Keep bin/ lib/ layout on Windows" ON)
 endif()
 if(CMAKE_SYSTEM_PROCESSOR MATCHES "(x86_64)|(AMD64)")
-    set(X86_64 ON)
-    if(NOT MSVC)
-        add_definitions(-DUSE_MMX -DUSE_SSE -DUSE_SSE2 -DARCH_X86_64)
+    if(${ARCH} MATCHES "i686")
+    else()
+        set(X86_64 ON)
+        if(NOT MSVC)
+            add_definitions(-DUSE_MMX -DUSE_SSE -DUSE_SSE2 -DARCH_X86_64)
+        endif()
     endif()
 endif()
 if(CMAKE_C_COMPILER_ID MATCHES "GNU|Clang")
@@ -20,18 +23,19 @@
     add_compile_options(/fp:fast)
 endif()
 find_package(Threads REQUIRED)
-find_package(FFTW QUIET)
+if (WIN32 AND NOT CMAKE_DL_LIBS)
+    find_package(dlfcn-win32 REQUIRED)
+    set(CMAKE_DL_LIBS dlfcn-win32::dl)
+endif()
+pkg_check_modules(FFTW IMPORTED_TARGET fftw3)
 if(NOT FFTW_FOUND)
-    pkg_check_modules(FFTW fftw3)
-endif()
-if(NOT FFTW_FOUND)
-    pkg_check_modules(FFTW fftw)
+    pkg_check_modules(FFTW IMPORTED_TARGET fftw)
 endif()
 pkg_check_modules(xml IMPORTED_TARGET libxml-2.0)
 add_subdirectory(src/framework)
 add_subdirectory(src/melt)
 add_subdirectory(src/mlt++)
-#add_subdirectory(src/swig)
+add_subdirectory(src/swig)
 #file(GLOB modules src/modules/*/)
 set(modules
     src/modules/avformat
@@ -53,6 +57,7 @@
     src/modules/resample
     src/modules/rubberband
     src/modules/rtaudio
+    src/modules/sdl
     src/modules/sdl2
     src/modules/sox
     src/modules/vid.stab
