=== src/framework/CMakeLists.txt ===
--- 
+++ 
@@ -5,15 +5,13 @@
 add_library(mlt SHARED ${mlt_src})
 set_target_properties (mlt PROPERTIES SOVERSION ${MLT_VERSION} VERSION 6)
 if(WIN32)
-    find_package(dlfcn-win32 REQUIRED)
-    find_package(iconv REQUIRED)
-    target_link_libraries(mlt dlfcn-win32::dl Iconv::Iconv)
+    find_package(Iconv REQUIRED)
+    target_link_libraries(mlt Iconv::Iconv)
     if(NODEPLOY)
         target_compile_definitions(mlt PRIVATE NODEPLOY)
     endif()
-else()
-    target_link_libraries(mlt dl)
 endif()
+target_link_libraries(mlt ${CMAKE_DL_LIBS})
 if(NOT (WIN32 OR APPLE))
     target_compile_definitions(mlt PRIVATE
         PREFIX_DATA="${CMAKE_INSTALL_FULL_DATADIR}/mlt"
@@ -25,7 +23,8 @@
 target_include_directories(mlt PUBLIC  ${CMAKE_SOURCE_DIR}/src)
 
 if(WIN32)
-    install(TARGETS mlt DESTINATION ${CMAKE_INSTALL_BINDIR})
+    install(TARGETS mlt LIBRARY DESTINATION ${CMAKE_INSTALL_BINDIR})
+    install(TARGETS mlt ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
 else()
     install(TARGETS mlt DESTINATION ${CMAKE_INSTALL_LIBDIR})
 endif()
