=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: mlt
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper-compat (= 13),
  ffmpeg,
  libqt5opengl5-dev,
@@ -32,7 +33,7 @@
  libebur128-dev (>= 1.2.0-2),
  python3-dev,
  dh-python
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://www.mltframework.org
